Bug 665568 - Gdk-WARNING on every keystroke
Gdk-WARNING on every keystroke
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-24 15:12 EST by Pete Zaitcev
Modified: 2012-02-29 17:55 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-29 17:55:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2010-12-24 15:12:51 EST
Description of problem:

The gnome-terminal throws large volume of warnings that end in
~/.xsession-errors, making it grow to large size.

The following is thrown on every keystroke (up and down event, presumably):

(gnome-terminal:3693): Gdk-WARNING **: Event with type 9 not holding a GdkDevice. It is most likely synthesized outside Gdk/GTK+
(gnome-terminal:3693): Gdk-WARNING **: Event with type 8 not holding a GdkDevice. It is most likely synthesized outside Gdk/GTK+

Version-Release number of selected component (if applicable):

vte-0.27.2-1.fc15.x86_64
vte3-0.27.2-2.fc15.x86_64
gnome-terminal-2.33.2-2.fc15.x86_64
gtk2-2.23.2-1.fc15.x86_64

How reproducible:

Synchronous

Steps to Reproduce:
1. run gnome-terminal
2. type anything inside the terminal
  
Actual results:

Lots of warnings

Expected results:

No warnings

Additional info:
Comment 1 sangu 2011-02-03 12:37:56 EST
The same issue happens in gedit. 
Maybe, Is the issue gtk3 bug?


---
gtk3-2.99.3-1.fc15.x86_64
gnome-terminal-2.33.5-1.fc15.x86_64
gedit-2.91.6-1.fc15.x86_64
Comment 2 Fedora Admin XMLRPC Client 2012-01-10 10:49:28 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora Admin XMLRPC Client 2012-01-10 10:51:14 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Pete Zaitcev 2012-02-29 17:55:20 EST
This is not happening anymore, closing.

gnome-terminal-3.2.1-2.fc17.x86_64
vte-0.28.2-2.fc17.x86_64
vte3-0.31.0-2.fc17.x86_64
gtk3-3.3.6-2.fc17.x86_64

Note You need to log in before you can comment on or make changes to this bug.